org.apache.maven.scm.provider.bazaar.command.checkout

## Class BazaarCheckOutConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer
    - - org.apache.maven.scm.provider.bazaar.command.checkout.BazaarCheckOutConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class BazaarCheckOutConsumer
    extends BazaarConsumer

Version:
  $Id: BazaarCheckOutConsumer.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Constructor Summary

Constructors
Constructor and Description
`BazaarCheckOutConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`void` `doConsume(ScmFileStatus status, String line)`

### Methods inherited from class org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarCheckOutConsumer

    public BazaarCheckOutConsumer(ScmLogger logger,
                          File workingDirectory)

### Method Detail

#### doConsume

    public void doConsume(ScmFileStatus status,
                 String line)

Overrides:
  `doConsume` in class `BazaarConsumer`